Bug 270390 - StackOverflowError at java.io.UnixFileSystem.getBooleanAttributes0
StackOverflowError at java.io.UnixFileSystem.getBooleanAttributes0
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
Dev
All All
: P1 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
EXCEPTIONS_REPORT, 82patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-04-13 16:49 UTC by tbrunhoff
Modified: 2017-04-21 17:24 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (87.49 KB, text/plain)
2017-04-13 16:49 UTC, tbrunhoff
Details
stacktrace (88.36 KB, text/plain)
2017-04-13 16:52 UTC, tbrunhoff
Details
stacktrace (88.12 KB, text/plain)
2017-04-13 16:58 UTC, tbrunhoff
Details
The possible fix (8.11 KB, patch)
2017-04-14 10:59 UTC, Vladimir Kvashin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tbrunhoff 2017-04-13 16:49:29 UTC
Build: NetBeans IDE Dev (Build 201704130002)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.45-b02, Java(TM) SE Runtime Environment, 1.8.0_45-b14
OS: Linux

User Comments:
GUEST: show breakpoints list tab

josin: I just open jsp file.

tbrunhoff: starting up ide




Stacktrace: 
java.lang.StackOverflowError
   at java.io.UnixFileSystem.getBooleanAttributes0(UnixFileSystem.java:0)
   at java.io.UnixFileSystem.getBooleanAttributes(UnixFileSystem.java:242)
   at java.io.File.exists(File.java:819)
   at org.netbeans.modules.dlight.libs.common.InvalidFileObjectSupport.getInvalidFileObject(InvalidFileObjectSupport.java:120)
   at org.netbeans.modules.dlight.libs.common.InvalidFileObjectSupport.getInvalidFileObject(InvalidFileObjectSupport.java:82)
   at org.netbeans.modules.dlight.libs.common.InvalidFileObjectSupport$DummyFileSystem.getRoot(InvalidFileObjectSupport.java:149)
Comment 1 tbrunhoff 2017-04-13 16:49:32 UTC
Created attachment 164100 [details]
stacktrace
Comment 2 tbrunhoff 2017-04-13 16:52:11 UTC
Created attachment 164101 [details]
stacktrace

continuing to start ide... More to come.
Comment 3 tbrunhoff 2017-04-13 16:58:12 UTC
Created attachment 164102 [details]
stacktrace

Inserting text.
Comment 4 Exceptions Reporter 2017-04-13 16:58:16 UTC
This bug already has 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=113039
Comment 5 tbrunhoff 2017-04-13 17:00:42 UTC
I was incorrect about "starting ide". I was just opening a second (large) project. These faults are continuous. Probably 10 in the last 2-3 minutes.
Comment 6 Vladimir Kvashin 2017-04-14 10:59:46 UTC
Created attachment 164108 [details]
The possible fix
Comment 7 Vladimir Kvashin 2017-04-14 11:06:58 UTC
Fixed. 
Change set on enum: 2d6494d260b6
In cnd-main: 
http://hg.netbeans.org/cnd-main/rev/7531377b1db9
Comment 8 Quality Engineering 2017-04-16 02:39:33 UTC
Integrated into 'main-silver', will be available in build *201704160002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/7531377b1db9
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fix and test for #270390 - StackOverflowError at java.io.UnixFileSystem.getBooleanAttributes
(transplanted from 2d6494d260b681d9b91c187522d09efe363761cd)
Comment 9 Alexander Pepin 2017-04-21 17:24:49 UTC
Do not see such exception in netbeans-8.2-20170421.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo